#include "common_headers.h"

using namespace NSrvKernel;

static const TSetCookieFsm SET_COOKIE_FSM;

const TSetCookieFsm& TSetCookieFsm::Instance() noexcept {
    return SET_COOKIE_FSM;
}

static const THostFsm HOST_FSM;

const THostFsm& THostFsm::Instance() noexcept {
    return HOST_FSM;
}

static const TExpectFsm EXPECT_FSM;

const TExpectFsm& TExpectFsm::Instance() noexcept {
    return EXPECT_FSM;
}

static const TContentTypeFsm CONTENT_TYPE_FSM;

const TContentTypeFsm& TContentTypeFsm::Instance() noexcept {
    return CONTENT_TYPE_FSM;
}

static const TContentLengthFsm CONTENT_LENGTH_FSM;

const TContentLengthFsm& TContentLengthFsm::Instance() noexcept {
    return CONTENT_LENGTH_FSM;
}

static const TTransferEncodingFsm TRANSFER_ENCODING_FSM;

const TTransferEncodingFsm& TTransferEncodingFsm::Instance() noexcept {
    return TRANSFER_ENCODING_FSM;
}

static const T100ContinueFsm CONTINUE_FSM;

const T100ContinueFsm& T100ContinueFsm::Instance() noexcept {
    return CONTINUE_FSM;
}


static const TTrueFsm TRUE_FSM;

const TTrueFsm& TTrueFsm::Instance() noexcept {
    return TRUE_FSM;
}

static const TRefererFsm REFERER_FSM;

const TRefererFsm& TRefererFsm::Instance() noexcept {
    return REFERER_FSM;
}


static const TCookieFsm COOKIE_FSM;

const TCookieFsm& TCookieFsm::Instance() noexcept {
    return COOKIE_FSM;
}


static const TUpgradeFsm UPGRADE_FSM;

const TUpgradeFsm& TUpgradeFsm::Instance() noexcept {
    return UPGRADE_FSM;
}


static const TNameFsm NAME_FSM;

const TNameFsm& TNameFsm::Instance() noexcept {
    return NAME_FSM;
}
